<?php
/*

Copyright (C) 2007-2008 CHERGUI Quentin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 

*/

/********************************************************/
//Design des pages membres
/********************************************************/

function designhaut($titre) // mettre en haut de chaque page pour avoir le design du site
{
	global $config, $lang, $prefix;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
   <head>
       <title><?php echo $titre; ?> - <?php echo $config['titre']?></title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	   <meta name="author" content="kankan" />
	   <meta name="description" content="<?php echo $config['description']?>" />
	   <meta name="keywords" content="kankan, kankanSpace, <?php echo $config['mots_cles']?>" />
	   <link rel="stylesheet" media="screen" type="text/css" title="Design" href="designs/<?php echo $_SESSION[$prefix.'design']?>/design.css" />
   </head>

   <body>

       <div id="en_tete">
           <span class="nom_site"><?php echo $config['titre']?></span>
		   <br /><span class="description_site"> <?php echo $config['description']?></span>
       </div>

       <div id="menu">       
           <div class="element_menu">
               <h3><?php echo $lang['liens']; ?></h3>
			   <ul>
                   <li><a href="membres.php"><?php echo $lang['accueil']; ?></a></li>
<?php
	$req_lien_menu_membres = mysql_query('SELECT texte, adresse FROM '.$prefix.'liens WHERE visible_membres=1 AND apparaitre_menu=1');
	while ($lien_menu_membres = mysql_fetch_array($req_lien_menu_membres) )
	{
?>
                   <li><a href="<?php echo $lien_menu_membres['adresse'] ?>"><?php echo $lien_menu_membres['texte'] ?></a></li>
<?php
	}
?>
                   <li><a href="liste_membres.php"><?php echo $lang['membres']; ?></a></li>
				   <li><a href="modifier_profil.php"><?php echo $lang['profil']; ?></a></li>
                   <li><a href="deconnexion.php"><?php echo $lang['deconnexion']; ?></a></li>
               </ul>
           </div>
<?php
	//affichage du menu admin
	if ($_SESSION[$prefix.'admin'] == 1)
	{
?>
           <div class="element_menu">
               <h3>Admin</h3>
			   <ul>
                   <li><a href="administration.php">Administration</a></li>
<?php
		$req_lien_menu_admin = mysql_query('SELECT texte, adresse FROM '.$prefix.'liens WHERE visible_membres=0 AND apparaitre_menu=1');
		while ($lien_menu_admin = mysql_fetch_array($req_lien_menu_admin))
		{
?>
                   <li><a href="<?php echo $lien_menu_admin['adresse'] ?>"><?php echo $lien_menu_admin['texte'] ?></a></li>
<?php
		}
?>
               </ul>
           </div>
<?php
	}
?>		   
       </div>

       <div id="corps">
<?php
}

function designbas()
{
	global $lang;
?>
       </div>

       <div id="pied_de_page">
           <p><?php echo $lang['propulse_par']; ?> <a href="apropos.php">kankanSpace</a></p>
       </div>

   </body>
</html>
<?php
}

/********************************************************/
//Design de la page de connexion et d'inscription
/********************************************************/

function designconnexion($titre) // mettre en haut de la page de connexion (et des pages visibles dconnectes)
{
	global $config, $lang;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
   <head>
       <title><?php echo $titre; ?> - <?php echo $config['titre']?></title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	   <meta name="author" content="kankan" />
	   <meta name="description" content="<?php echo $config['description']?>" />
	   <meta name="keywords" content="kankan, kankanSpace, <?php echo $config['mots_cles']?>" />
	   <link rel="stylesheet" media="screen" type="text/css" title="Design" href="designs/<?php echo $config['design_defaut']?>/design.css" />
   </head>

   <body>

       <div id="en_tete">
           <span class="nom_site"><?php echo $config['titre']?></span>
		   <br /><span class="description_site"><?php echo $config['description']?></span>
       </div>

       <div id="connexion">
<?php
}

function designbasconnexion()
{
	global $lang;
?>
       </div>

       <div id="pied_de_page_connexion">
           <p><?php echo $lang['propulse_par']; ?> <a href="apropos.php">kankanSpace</a></p>
       </div>

   </body>
</html>
<?php
}
?>